Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class InsertEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--oracle.jbo.JboEvent
                  |
                  +--oracle.jbo.RowEvent
                        |
                        +--oracle.jbo.InsertDeleteEvent
                              |
                              +--oracle.jbo.InsertEvent

public class InsertEvent
extends InsertDeleteEvent

An event class used by `RowSetIterator` to inform its listeners when a row has been inserted.

Since:
  JDeveloper 3.0
See Also:
  `RowSetIterator`, Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`InsertEvent(RowSetIterator source, Row row, int rowIndex, int rowCountBefore, int rowCount)` Creates an event for a row being inserted.

Method Summary
`java.lang.String` | `toString()` Internal: For debugging only.

Methods inherited from class oracle.jbo.InsertDeleteEvent
`getRowCountInRange, getRowCountInRangeBefore, toString`

Methods inherited from class oracle.jbo.RowEvent
`getRow, getRowIndex`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InsertEvent

    public InsertEvent(RowSetIterator source,
                       Row row,
                       int rowIndex,
                       int rowCountBefore,
                       int rowCount)

  Creates an event for a row being inserted.
  Parameters:
    `source` - the iterator that generated this event.
    `row` - the row object that was inserted.
    `rowIndex` - the range index of the row that was inserted.
    `rowCountBefore` - the initial number of rows.
    `rowCount` - the resulting number of rows.

Method Detail

### toString

    public java.lang.String toString()

  Internal: For debugging only.
  Overrides:
    toString in class java.util.EventObject
  Returns:
    a diagnostic string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD